//------------------------------------------------------------------------------------
// irr::video::IImageWriter wrapper
//------------------------------------------------------------------------------------

//! Interface for writing software image data.
extern "C"
{
	bool IrrVideo_IImageWriter_isAWriteableFileExtension(IImageWriter* w,const c8* fileName)
	{
		if (w)
			return w->isAWriteableFileExtension(fileName);
		else return false;
	}
	
	bool IrrVideo_IImageWriter_writeImage(IImageWriter* w,io::IWriteFile *file, IImage *image,u32 param = 0)
	{
		if (w)
			return w->writeImage(file,image,param);
		else return false;
	}

	bool IrrVideo_IImageWriter_drop(IImageWriter* unk)
	{
		if (unk)
			return unk->drop();
		else return 0;
	}
	
	const c8* IrrVideo_IImageWriter_getDebugName(IImageWriter* unk)
	{
		if (unk)
			return unk->getDebugName();
		else return "";
	}
	
	void IrrVideo_IImageWriter_grab(IImageWriter* unk)
	{
		if (unk)
			unk->grab();
	}
		
}

